Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.cell.client
Class AbstractSafeHtmlCell<C>

    java.lang.Object
      com.google.gwt.cell.client.AbstractCell<C>
          com.google.gwt.cell.client.AbstractSafeHtmlCell<C>

Type Parameters:
  `C` - the type that this Cell represents

All Implemented Interfaces:
  Cell<C>

Direct Known Subclasses:
  ButtonCell, ClickableTextCell, TextCell

    public abstract class AbstractSafeHtmlCell<C>

extends AbstractCell<C>

A superclass for `Cell`s that render or escape a String argument as HTML.

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.gwt.cell.client.Cell
`Cell.Context`

Constructor Summary
`AbstractSafeHtmlCell(SafeHtmlRenderer<C> renderer, java.util.Set<java.lang.String> consumedEvents)` Construct an AbstractSafeHtmlCell using a given `SafeHtmlRenderer` that will consume a given set of events.
`AbstractSafeHtmlCell(SafeHtmlRenderer<C> renderer, java.lang.String... consumedEvents)` Construct an AbstractSafeHtmlCell using a given `SafeHtmlRenderer` that will consume a given set of events.

Method Summary
`SafeHtmlRenderer<C>` | `getRenderer()` Return the `SafeHtmlRenderer` used by this cell.
`void` | `render(Cell.Context context, C data, SafeHtmlBuilder sb)` Render a cell as HTML into a `SafeHtmlBuilder`, suitable for passing to `Element.setInnerHTML(String)` on a container element.
`protected abstract void` | `render(Cell.Context context, SafeHtml data, SafeHtmlBuilder sb)` Render the cell contents after they have been converted to `SafeHtml` form.

Methods inherited from class com.google.gwt.cell.client.AbstractCell
`dependsOnSelection, getConsumedEvents, handlesSelection, isEditing, onBrowserEvent, onEnterKeyDown, resetFocus, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSafeHtmlCell

    public AbstractSafeHtmlCell(SafeHtmlRenderer<C> renderer,
                                java.lang.String... consumedEvents)

  Construct an AbstractSafeHtmlCell using a given `SafeHtmlRenderer` that will consume a given set of events.

  Parameters:
    `renderer` - a SafeHtmlRenderer
    `consumedEvents` - a varargs list of event names

### AbstractSafeHtmlCell

    public AbstractSafeHtmlCell(SafeHtmlRenderer<C> renderer,
                                java.util.Set<java.lang.String> consumedEvents)

  Construct an AbstractSafeHtmlCell using a given `SafeHtmlRenderer` that will consume a given set of events.

  Parameters:
    `renderer` - a SafeHtmlRenderer
    `consumedEvents` - a Set of event names

Method Detail

### getRenderer

    public SafeHtmlRenderer<C> getRenderer()

  Return the `SafeHtmlRenderer` used by this cell.

  Returns:
    a `SafeHtmlRenderer` instance

### render

    public void render(Cell.Context context,
                       C data,
                       SafeHtmlBuilder sb)

  Description copied from interface: `Cell`
  Render a cell as HTML into a `SafeHtmlBuilder`, suitable for passing to `Element.setInnerHTML(String)` on a container element.

  Note: If your cell contains natively focusable elements, such as buttons or input elements, be sure to set the tabIndex to -1 so that they do not steal focus away from the containing widget.

  Specified by:
    `render` in interface `Cell<C>`
  Specified by:
    `render` in class `AbstractCell<C>`
  Parameters:
    `context` - the `Cell.Context` of the cell
    `data` - the cell value to be rendered
    `sb` - the `SafeHtmlBuilder` to be written to

### render

    protected abstract void render(Cell.Context context,
                                   SafeHtml data,
                                   SafeHtmlBuilder sb)

  Render the cell contents after they have been converted to `SafeHtml` form.

  Parameters:
    `context` - the original context to render
    `data` - a `SafeHtml` string
    `sb` - the `SafeHtmlBuilder` to be written to

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD